//
//  MyPoofAnimator.m
//  Poof101
//
//  Created by Dave Jewell on 19/05/2009.
//  Copyright 2009 Cocoa Secrets. All rights reserved.
//

#import "MyPoofAnimator.h"

@implementation MyPoofAnimator

- (BOOL) reversed
{
	return _reversed;
}

- (void) setReversed: (BOOL) reversed
{
	if (_reversed != reversed)
	{
		_reversed = reversed;
		
		// Reverse first and fifth frame
		NSImage * temp = _poofAnimFrames [0];
		_poofAnimFrames [0] = _poofAnimFrames [4];
		_poofAnimFrames [4] = temp;
		
		// Reverse second fourth frames
		temp = _poofAnimFrames [1];
		_poofAnimFrames [1] = _poofAnimFrames [3];
		_poofAnimFrames [3] = temp;	
	}
}

- (void) replaceImagesWithBaseName: (NSString *) baseName
{
	NSInteger idx;
	for (idx = 0; idx < 5; idx++)
	{
		[_poofAnimFrames [idx] release];
		NSString * imageName = [NSString stringWithFormat: @"%@%d", baseName, idx + 1];
		_poofAnimFrames [idx] = [[NSImage imageNamed: imageName] retain];
		if (_poofAnimFrames [idx] == nil) NSLog (@"Warning: image %@ not found!", imageName);
	}
}

@end
