//
//  NSToolbarPoofAnimator.h
//  Poof101
//
//  Created by Dave Jewell on 19/05/2009.
//  Copyright 2009 Cocoa Secrets. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface NSToolbarPoofAnimator : NSObject
{
	NSWindow *_poofWindow;													// 0x4
	NSView *_poofWindowImageView;										// 0x8
	NSImage *_poofAnimFrames [5];										// 0xc
	double _nextPoofTime;														// 0x20
	int _nextPoofFrame;															// 0x28
	BOOL _releasesAfterPoofing;											// 0x2c
	NSDictionary *_callbackInfo;										// 0x30
}

+ (void) runPoofAtPoint: (NSPoint) point;
+ (void) runPoofAtPoint: (NSPoint) point withSize: (NSSize) size callbackInfo: (NSDictionary *) callbackInfo;
- (id) initAtPoint: (NSPoint) point withSize: (NSSize) size callbackInfo: (NSDictionary *) callbackInfo;
- (void) dealloc;
- (void) finalize;
- (void) setReleasesAfterPoofing: (BOOL) releasesAfterPoofing;
- (void) setDragWindowImage: (NSImage *) image;
- (void) scheduleUpdate;
- (void) runPoof;
- (void) _doCallback;
- (void) _donePoofing;
- (void) updatePoofAnimation;

@end